Jump to content
Kamills

Instalacja Karty Intel Pro Wirelles 3945abg

Recommended Posts

Ten kernel jest jeszcze w repo testing.Jak je zainstalować? Wystarczy wydać polecenie jako root:

yum update kernel kernel-headers kernel-devels --enablerepo=updates-testing

Share this post


Link to post
Share on other sites

Kamills: Dzięki o to mi chodziło

InIrudeBwoy: Wybacz, ale próbowałem to dużo wcześniej z efektem

No Packages marked for Update/Obsoletion

 

Mam jednak kolejny problem z tą kartą.:angry:

Podczas podłaczania:

Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device eth1; Invalid argument.

Ustalanie informacji IP dla eth1... nie powiodło się, brak połączenia. Może sprawdź kabel?

Podczas przełaczania w tryb monitora (i tak w iwconfig, kismecie i airmon-ng):

[[email protected] ~]$ su -
Hasło: 
[[email protected] ~]# iwconfig eth1 mode monitor
Error for wireless request "Set Mode" (8B06) :
    SET failed on device eth1; Invalid argument.
[r[email protected] ~]#

Da się coś z tym zrobić?

Share this post


Link to post
Share on other sites

Podam ci wszystko co może być związane z tym błędem.

Nie dodałeś i nie aktywowałeś sterownika ipw3945.

su -
hasło
modprobe ipw3945
ipw3945d
gedit /etc/rc.d/rc.local
na końcu dodaj ipw3945d

Drugi przypadek nie dodałeś karty sieciowej w system-config-network

su -
hasło
system-config-network
dodajeż kartę ma zakładkę "sprzęt" i wybieramy nowy
otworzy się nam okienko w którym szukamy karty która ma coś z intel i ipw3945

Trzeci i chyba najbardziej prawdopodobny

su -
hasło
system-config-network
zakładka urządzenia
wybierasz eth1 w twoim przypadku i klikasz edytuj
musisz wypełnić pole sieć i hasło(chyba że go nie masz)z tego co pamiętam nie można używać hasła WPA i podobnych
ustawiasz sobie statyczne IP jeśli chcesz i wiesz co to jest jak nie to zostaw

Tu coś innego

su -
hasło
jeśli chcesz się łączyć z innymi sieciami niż ta którą wpisałeś w zakładce sieć wpisz
yum install wlassistant

Share this post


Link to post
Share on other sites

Niestety nic nie działa.:( Co prawda nie łączyłem się z żadną siecią, bo nie mam takiej możliwości, ale powinno chociaż przejść bez problemu przejść w tryb monitora. Może jak skopiluje wszystko ręcznie, jak podane jest tutaj: Forum.SuSE.pl Jak sądzisz może to zadziała?

Share this post


Link to post
Share on other sites

Skompilowałem wszystko i wygląda na to że działa. B) A co do trybu monitora... wiadomo wakacje są i szkoda byłoby nie skorzystać z jakiegoś darmowego hot-spota żeby chociaż e-maila sprawdzić. ;)

Share this post


Link to post
Share on other sites
modprobe ipw3945

 

 

Do tego miejsca wszystko idzie miodzio, a po wpisaniu tej komendy wywala:

[[email protected] ipw3945d-1.7.22]# modprobe ipw3945
FATAL: Module ipw3945 not found

 

Co moge zrobic z tym problemem?? Jakies propozycje??

 

z gory dzieki

slavek

 

 

 

Share this post


Link to post
Share on other sites

Czy wie ktoś jak zainstalować tą samą kartę, ale bez a...to jest Intel Pro Wirelles 3945bg? Będę wdzięczny za pomoc

Share this post


Link to post
Share on other sites

Sterownik ipw3945 jest dla dwóch wersji jak wynika z opisu na stronie atrpms.net "Intel PRO/Wireless 3945ABG/3945BG driver for Linux". Zrób wszystko jak pisze tylko znajdź w system-config-network kartę bez "A", a jak nie będzie spróbuj z "A".

 

Kamills

Share this post


Link to post
Share on other sites

Na początku wszysktko idzie dobrze, ale później:

 

[[email protected] ~]# ipw3945d
ipw3945d - regulatory daemon
Copyright © 2005-2006 Intel Corporation. All rights reserved.
version: 1.7.22
2007-09-02 19:07:40: ERROR: Could not find Intel PRO/Wireless 3945ABG Network Connection

Share this post


Link to post
Share on other sites

Robię wszystko według instrukcji i na końcu dwa errory;

[[email protected] ~]# yum install ipw3945 ieee80211-kmdl-$(uname -r) --enablerepo=atrpms
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package ipw3945.i386 0:1.2.0-18.4.fc7 set to be updated
--> Processing Dependency: ipw3945-kmdl-1.2.0-18.4.fc7 for package: ipw3945
--> Running transaction check
---> Package ipw3945-kmdl-2.6.22.4-65.fc7.i586 0:1.2.0-18.4.fc7 set to be updated
--> Processing Dependency: ieee80211-kmdl-2.6.22.4-65.fc7 >= 1.1.11 for package: ipw3945-kmdl-2.6.22.4-65.fc7
--> Processing Dependency: ipw3945-ucode >= 1.13 for package: ipw3945-kmdl-2.6.22.4-65.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 for package: ipw3945-kmdl-2.6.22.4-65.fc7
--> Processing Dependency: ipw3945d >= 1.7.18 for package: ipw3945-kmdl-2.6.22.4-65.fc7
--> Running transaction check
---> Package ipw3945-ucode.noarch 0:1.14.2-4.at set to be updated
---> Package ipw3945-kmdl-2.6.22.4-65.fc7.i586 0:1.2.0-18.4.fc7 set to be updated
--> Processing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 for package: ipw3945-kmdl-2.6.22.4-65.fc7
---> Package ipw3945d.i386 0:1.7.22-4.at set to be updated
---> Package ieee80211-kmdl-2.6.22.4-65.fc7.i686 0:1.2.18-20.fc7 set to be updated
--> Processing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 for package: ieee80211-kmdl-2.6.22.4-65.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 for package: ipw3945-kmdl-2.6.22.4-65.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 for package: ieee80211-kmdl-2.6.22.4-65.fc7
--> Finished Dependency Resolution
Error: Missing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 is needed by package ipw3945-kmdl-2.6.22.4-65.fc7
Error: Missing Dependency: /boot/vmlinuz-2.6.22.4-65.fc7 is needed by package ieee80211-kmdl-2.6.22.4-65.fc7

 

Dzieje się tak zarówno na kernelu 2.6.21-1.3194.fc7 czyli standardowym z siódemki jak i z najnowszym obecnie 2.6.22.5-76 , dlaczego yum upiera się koniecznie przy tamtym ? Chciałem już nawet zainstalować wymaganą przez niego wersję ale wyskakuje mi

[[email protected] ~]# yum install kernel-2.6.22.4-65.fc7fedora                    100% |=========================| 2.1 kB    00:00     
updates                   100% |=========================| 1.9 kB    00:00     
Setting up Install Process
Parsing package install arguments
Nothing to do

i nadal go nie ma.

 

Proszę o pomoc.

Share this post


Link to post
Share on other sites

Na najnowszym jądrze musisz poczekać 1 lub 2 dni aby wyszły sterowniki dla 2.6.22.5-76, to jest najprostsze rozwiązanie lub z pod starego jądra wyrzucić nowsze i wpisać "yum install kernel-2.6.22.4-65"

 

Kamills

Share this post


Link to post
Share on other sites

 

Ktoś coś może doradzić??

 

[[email protected] ~]# modprobe ipw3945
FATAL: Error inserting ipw3945 (/lib/modules/2.6.22.9-91.fc7/updates/drivers/net/wireless/ipw3945.ko): Invalid module format

 

Do tego momentu było wszystko ok

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...